Subject: Re: [PATCH v3] veth: Drop MTU check when forwarding packets

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Thu, 08 Aug 2024 11:23:22 +0200

Duan Jiong <[email-masked]> writes:

> When the mtu of the veth card is not the same at both ends, there
> is no need to check the mtu when forwarding packets, and it should
> be a permissible behavior to allow receiving packets with larger
> mtu than your own.

Erm, huh? The MTU check is against the receiving interface, so AFAICT
your patch just disables MTU checking entirely for veth devices, which
seems ill-advised.

What's the issue you are trying to fix, exactly?

-Toke